import {loginUrl,inspectionApi } from '@/api'

import request from '@/utils/require'

//上报单位
export function inspectionUnit(params) {
    return request({
        url: `${loginUrl}/org/getJdjcTreeData?orgCode=${params}`,
        method: 'post',
    })
}

//列表
export function getList(params) {
    return request({
        url: `${inspectionApi}/gatherPage/${params.pageNum}/${params.pageSize}`,
        method: 'post',
        data: params
    })
}

//更新
export function updateList(params) {
    return request({
        url: `${inspectionApi}/gather`,
        method: 'post',
        data: params
    })
}

//退回
export function backList(params) {
    return request({
        url: `${inspectionApi}/gatherInfoBack`,
        method: 'post',
        data: params
    })
}
